<ul kendo-panel-bar class="t-side-panel-bgcolor mi-vis-svg-config" style="font-size: 14px">
  <li class="k-state-active">
    <span class="panel-bar-label-no-wrap">{{::res.CoreOptions}}</span>

    <div style="margin: 10px 10px 15px 5px">
      <div class="config-option-single-row" style="margin: 10px 0px 15px 10px">
        <div class="config-label">{{::res.Vector}}</div>
        <select ng-model="config.SelectedVector" class="config-option-list" style="width: 50%; float: right">
          <option ng-repeat="vector in runtimeData.AvailableVectors" value="{{vector.Name}}">{{vector.Name}}</option>
        </select>
      </div>

      <div style="margin: 0 10px; padding: 6px 0">
        <pv-slider
          keyword="res.RotationKeyword"
          min="0"
          max="360"
          step="5"
          ng-model="config.VectorRotation"
          ng-model-options="{ getterSetter: true }"
        >
        </pv-slider>
      </div>
    </div>
  </li>

  <li>
    <span class="panel-bar-label-no-wrap">{{::res.StyleKeyword}}</span>

    <div style="margin: 10px 10px 15px 5px">
      <div style="margin: 0 15px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.VectorColor}}" ng-model="config.VectorColor"></pv-color-picker>
      </div>

      <div style="margin: 0 15px; padding: 6px 0">
        <font-resize class="font-resize" ng-model="config.TextSize"></font-resize>
      </div>

      <div style="margin: 0 15px; padding: 6px 0">
        <pv-color-picker colorkeyword="{{::res.LabelColor}}" ng-model="config.LabelColor"></pv-color-picker>
      </div>
    </div>
  </li>

  <li>
    <span class="panel-bar-label-no-wrap">{{::res.ValueConfigTextVisibility}}</span>

    <div style="margin: 10px 20px 15px 10px">
      <label class="flex-align-center">
        <input type="checkbox" class="c-config-checkbox" ng-model="config.ShowLabel" />{{::res.ValueConfigLabel}}<br />
      </label>

      <pv-label-options
        ng-show="config.ShowLabel"
        ng-model="runtimeData.labelSettings"
        label-metadata="runtimeData.metaData"
        ng-model-options="{ getterSetter: true }"
      ></pv-label-options>

      <div ng-show="config.ShowLabel" class="config-option-single-row" style="margin: 10px 0px 15px 10px">
        <div class="config-label">{{::res.LabelAlignment}}</div>
        <select ng-model="config.LabelAlignment" class="config-option-list" style="width: 95px; float: right">
          <option value="left">{{::res.ValueConfigTextAlignmentLeft}}</option>
          <option value="center">{{::res.ValueConfigTextAlignmentCenter}}</option>
          <option value="right">{{::res.ValueConfigTextAlignmentRight}}</option>
        </select>
      </div>
    </div>
  </li>
</ul>
